org.apache.pdfbox.pdmodel.font

## Enum FontFormat

- java.lang.Object
- - java.lang.Enum<FontFormat>
  - - org.apache.pdfbox.pdmodel.font.FontFormat

All Implemented Interfaces:
  Serializable, Comparable<FontFormat>

    public enum FontFormat
    extends Enum<FontFormat>

Font file format.

Author:
  John Hewson

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`OTF` OpenType font.
`PFB` Type 1 (binary) font.
`TTF` TrueType font.

### Method Summary

All Methods Static Methods Concrete Methods
`static FontFormat` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static FontFormat[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### TTF

    public static final FontFormat TTF

TrueType font.

#### OTF

    public static final FontFormat OTF

OpenType font.

#### PFB

    public static final FontFormat PFB

Type 1 (binary) font.

### Method Detail

#### values

    public static FontFormat[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (FontFormat c : FontFormat.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static FontFormat valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null